.TH "mca_bml_base_btl_array_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_bml_base_btl_array_t \- A dynamically growable array of mca_bml_base_btl_t instances.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <bml.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "size_t \fBarr_size\fP"
.br
.RI "\fInumber available \fP"
.ti -1c
.RI "size_t \fBarr_reserve\fP"
.br
.RI "\fIsize of allocated btl_proc array \fP"
.ti -1c
.RI "size_t \fBarr_index\fP"
.br
.RI "\fIlast used index \fP"
.ti -1c
.RI "mca_bml_base_btl_t * \fBbml_btls\fP"
.br
.RI "\fIarray of bml btl's \fP"
.in -1c
.SH "Detailed Description"
.PP 
A dynamically growable array of mca_bml_base_btl_t instances. 

Maintains an index into the array that is used for round-robin scheduling across contents. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
